Subject: bug#53283: 28.0.91; TRAMP SSHFS method not known by default

From: Michael Albinus <[email-masked]>
Date: Sun, 16 Jan 2022 13:34:50 +0100

Philipp Stephani <[email-masked]> writes:

> OK, removing lisp/net/tramp-loaddefs.el and manually regenerating it
> fixes the issue. So this is not a bug in the Emacs code itself. Maybe
> there's a small bug in the Makefiles around detecting whether
> tramp-loaddefs.el needs to be rebuilt?

In lisp/Makefile.in, there is

--8<---------------cut here---------------start------------->8---
# Update TRAMP internal autoloads. Maybe we could move tramp*.el into
# an own subdirectory. OTOH, it does not hurt to keep them in
# lisp/net.
TRAMP_DIR = $(lisp)/net
TRAMP_SRC = $(sort $(wildcard ${TRAMP_DIR}/tramp*.el))
TRAMP_SRC := $(filter-out ${TRAMP_DIR}/tramp-loaddefs.el,${TRAMP_SRC})

$(TRAMP_DIR)/tramp-loaddefs.el: $(TRAMP_SRC)
	$(AM_V_GEN)$(emacs) -l autoload \
	   --eval "(setq generate-autoload-cookie \";;;###tramp-autoload\")" \
	   --eval "(setq generated-autoload-file (expand-file-name (unmsys--file-name \"$@\")))" \
	   -f batch-update-autoloads $(TRAMP_DIR)
--8<---------------cut here---------------end--------------->8---

That looks fine to me. We could try to search where a possible bug is, but
this would require a recipe for reproduction. Do we have such a recipe?

Best regards, Michael.